<template>
  <div>
    <div>
      <el-breadcrumb separator-class="el-icon-arrow-right">
        <el-breadcrumb-item :to="{ path: '/home' }">首页</el-breadcrumb-item>
        <el-breadcrumb-item>订单管理</el-breadcrumb-item>
        <el-breadcrumb-item>订单列表</el-breadcrumb-item>
      </el-breadcrumb>
    </div>
    <!-- 卡片视图 -->
    <el-card>
      <el-row>
        <el-col :span="8">
          <el-input placeholder="请输入内容" class="input-with-select">
            <el-button slot="append" icon="el-icon-search"></el-button>
          </el-input>
        </el-col>
      </el-row>
      <el-table
        ref="singleTable"
        :data="tableData"
        highlight-current-row
        style="width: 100%"
      >
        <el-table-column type="index" label="序号" width="50">
        </el-table-column>
        <el-table-column property="order_number" label="订单编号" width="300">
        </el-table-column>
        <el-table-column property="order_price" label="订单价格" width="120">
        </el-table-column>
        <el-table-column property="pay_status" label="是否付款">
          <template slot-scope="scope">
            <el-tag type="success" v-if="scope.row.pay_status === 1"
              >已付款</el-tag
            >
            <el-tag type="danger" v-else>未付款</el-tag>
          </template>
        </el-table-column>
        <el-table-column property="is_send" label="是否发货"> </el-table-column>
        <el-table-column property="create_time" label="下单时间">
          <template slot-scope="scope">
            {{ scope.row.create_time | timefilter }}
          </template>
        </el-table-column>
        <el-table-column label="操作">
          <template slot-scope="scope">
            <el-button
              type="primary"
              icon="el-icon-edit"
              @click="editOrder"
            ></el-button>
            <el-button
              type="success"
              icon="el-icon-location-outline"
              @click="showPosition"
            ></el-button>
          </template>
        </el-table-column>
      </el-table>
      <!-- 分页 -->
      <el-pagination
        @size-change="handleSizeChange"
        @current-change="handleCurrentChange"
        :current-page="queryInfo.pagenum"
        :page-sizes="[5, 10, 20, 30]"
        :page-size="queryInfo.pagesize"
        layout="total, sizes, prev, pager, next, jumper"
        :total="total"
      >
      </el-pagination>
    </el-card>
    <!-- 编辑弹窗 -->
    <el-dialog title="修改地址" :visible.sync="editDialogVisible" width="60%">
      <el-form
        :model="orderForm"
        :rules="rules"
        ref="orderForm"
        label-width="100px"
        class="demo-ruleForm"
      >
        <el-form-item label="省市区/县" prop="city">
          <el-cascader
            v-model="orderForm.city"
            :options="cityDate"
            @change="handleChange"
          ></el-cascader>
        </el-form-item>
        <el-form-item label="详细地址" prop="address">
          <el-input v-model="orderForm.address"></el-input>
        </el-form-item>
      </el-form>
      <span slot="footer" class="dialog-footer">
        <el-button @click="resetForm('orderForm')">取 消</el-button>
        <el-button type="primary" @click="submitForm('orderForm')"
          >确 定</el-button
        >
      </span>
    </el-dialog>
    <!-- 物流位置弹窗 -->
    <el-dialog
      title="物流进度"
      :visible.sync="positionDialogVisible"
      width="50%"
    >
      <span slot="footer" class="dialog-footer">
        <el-button @click="positionDialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="positionDialogVisible = false"
          >确 定</el-button
        >
      </span>
    </el-dialog>
  </div>
</template>

<script>
import cityDate from "./citydata";
export default {
  data() {
    return {
      tableData: [],
      // 获取用户列表参数对象
      queryInfo: {
        query: "",
        pagenum: 1,
        pagesize: 10,
      },
      total: 0,
      editDialogVisible: false,
      positionDialogVisible: false,
      orderForm: {
        city: "",
        address: "",
      },
      rules: {
        city: [
          { required: true, message: "请选择省市区/县", trigger: "change" },
        ],
        address: [
          { required: true, message: "请输入详细地址", trigger: "blur" },
        ],
      },
      cityDate: cityDate,
    };
  },
  created() {
    this.getOrderList();
  },
  methods: {
    async getOrderList() {
      const { data: res } = await this.$http.get(`/orders`, {
        params: this.queryInfo,
      });
      console.log("ressssssss", res.data);
      this.tableData = res.data.goods;
      this.total = res.data.total;
    },
    // 监听分页数据
    handleSizeChange(newSzie) {
      console.log(newSzie);
      this.queryInfo.pagesize = newSzie;
      this.getOrderList();
    },
    // 监听页码只改变事件
    handleCurrentChange(newPage) {
      console.log(newPage);
      this.queryInfo.pagenum = newPage;
      this.getOrderList();
    },
    editOrder() {
      this.editDialogVisible = true;
    },
    submitForm(orderForm) {
      this.$refs[orderForm].validate((valid) => {
        if (valid) {
          this.editDialogVisible = false;
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
    resetForm(orderForm) {
      this.$refs[orderForm].resetFields();
      this.editDialogVisible = false;
    },
    handleChange(value) {
      console.log(value);
    },
    async showPosition() {
      const {data:res} = await this.$http.get(`/kuaidi/804909574412544580`)
      console.log('ress~~~~~~', res)
      this.positionDialogVisible = true
      
    },
  },
};
</script>

<style scoped>
.el-cascader {
  width: 100%;
}
</style>